Loading...
Searching...
No Matches
Looking up ports
Creating & manipulating clients » The non-callback API » Setting Client Callbacks » Controlling & querying JACK server operation » Creating & manipulating ports » Managing and determining latency

## Topics

| Handling time

## Functions

const char ** | jack_get_ports (jack_client_t *, const char *port_name_pattern, const char *type_name_pattern, unsigned long flags) JACK_OPTIONAL_WEAK_EXPORT
jack_port_t * | jack_port_by_name (jack_client_t *, const char *port_name) JACK_OPTIONAL_WEAK_EXPORT
jack_port_t * | jack_port_by_id (jack_client_t *client, jack_port_id_t port_id) JACK_OPTIONAL_WEAK_EXPORT

## Detailed Description

## Function Documentation

## jack_get_ports()

const char ** jack_get_ports | ( | jack_client_t * | ,
|  | const char * | port_name_pattern,
|  | const char * | type_name_pattern,
|  | unsigned long | flags )

Parameters

  port_name_pattern | A regular expression used to select ports by name. If NULL or of zero length, no selection based on name will be carried out.
  type_name_pattern | A regular expression used to select ports by type. If NULL or of zero length, no selection based on type will be carried out.
  flags | A value used to select ports by their flags. If zero, no selection based on flags will be carried out.

Returns
  a NULL-terminated array of ports that match the specified arguments. The caller is responsible for calling jack_free(3) any non-NULL returned value.

See also
  jack_port_name_size(), jack_port_type_size()

References jack_get_ports(), and JACK_OPTIONAL_WEAK_EXPORT.

Referenced by jack_get_ports().

## jack_port_by_id()

jack_port_t * jack_port_by_id | ( | jack_client_t * | client,
|  | jack_port_id_t | port_id )

Returns
  address of the jack_port_t of a port_id.

References JACK_OPTIONAL_WEAK_EXPORT, and jack_port_by_id().

Referenced by jack_port_by_id().

## jack_port_by_name()

jack_port_t * jack_port_by_name | ( | jack_client_t * | ,
|  | const char * | port_name )

Returns
  address of the jack_port_t named port_name.

See also
  jack_port_name_size()

References JACK_OPTIONAL_WEAK_EXPORT, and jack_port_by_name().

Referenced by jack_port_by_name().